#include <stdio.h>

int main() {
  
    int n;
    int i,j;
    int d = 0;
    scanf("%d",&n);
    
    if (n <= 0) {
	printf("-1\n");
	return 1;
    }
    
    for (i = 0; i < n;++i){
	for (j = 0;j < d;++j)printf(" ");
	for(j = 0;j < n-i; ++j){
	    if (j==n-i-1)printf("* ");
	    else printf("*-");
	}
	printf("\n");
	++d;
    }
    
    return 0;
}
